<?php

namespace Configuration;

class Stammdaten {
  
  

  
  

    // --- Statische Methoden ---
  
  public static function getLogo() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getConfigurationStammdatenLogo();
    
  }

  public static function getHeaderText() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getConfigurationStammdatenHeaderText();
    
  }

  public static function getFirmenname() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getConfigurationStammdatenFirmenname();
    
  }

  public static function getFirmenname2() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getConfigurationStammdatenFirmenname2();
    
  }

  public static function getStrasse() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getConfigurationStammdatenStrasse();
    
  }

  public static function getFlst() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getConfigurationStammdatenFlst();
    
  }

  public static function getPlz() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getConfigurationStammdatenPlz();
    
  }

  public static function getOrt() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getConfigurationStammdatenOrt();
    
  }

  public static function getTelefon() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getConfigurationStammdatenTelefon();
    
  }

  public static function getMobil() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getConfigurationStammdatenMobil();
    
  }

  public static function getFax() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getConfigurationStammdatenFax();
    
  }

  public static function getEmail() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getConfigurationStammdatenEmail();
    
  }

  public static function getWebsite() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getConfigurationStammdatenWebsite();
    
  }

  public static function getIban() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getConfigurationStammdatenIban();
    
  }

  public static function getBic() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getConfigurationStammdatenBic();
    
  }

  public static function getBankname() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getConfigurationStammdatenBankname();
    
  }

  public static function getGeschaeftsfuehrer1() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getConfigurationStammdatenGeschaeftsfuehrer1();
    
  }

  public static function getGeschaeftsfuehrer2() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getConfigurationStammdatenGeschaeftsfuehrer2();
    
  }

  public static function getRegistergericht() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getConfigurationStammdatenRegistergericht();
    
  }

  public static function getHandelsregisternummer() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getConfigurationStammdatenHandelsregisternummer();
    
  }

  public static function getFinanzamt() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getConfigurationStammdatenFinanzamt();
    
  }

  public static function getSteuernr() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getConfigurationStammdatenSteuernr();
    
  }

  public static function getUmsatzsteuerid() { 
    
    
    // --- BLOCK: main ---
    return \FOP\Configuration::getConfigurationStammdatenUmsatzsteuerid();
    
  }

  public static function getStammdaten($context = null ) { 
    
    
    // --- BLOCK: !main-config ---
    
		$stammdaten = [
			'ID' => null,
				'logo' => self::getlogo(),
				'headerText' => self::getheaderText(),
				'firmenname' => self::getfirmenname(),
				'firmenname2' => self::getfirmenname2(),
				'strasse' => self::getstrasse(),
				'flst' => self::getflst(),
				'plz' => self::getplz(),
				'ort' => self::getort(),
				'telefon' => self::gettelefon(),
				'mobil' => self::getmobil(),
				'fax' => self::getfax(),
				'email' => self::getemail(),
				'website' => self::getwebsite(),
				'iban' => self::getiban(),
				'bic' => self::getbic(),
				'bankname' => self::getbankname(),
				'geschaeftsfuehrer1' => self::getgeschaeftsfuehrer1(),
				'geschaeftsfuehrer2' => self::getgeschaeftsfuehrer2(),
				'registergericht' => self::getregistergericht(),
				'handelsregisternummer' => self::gethandelsregisternummer(),
				'finanzamt' => self::getfinanzamt(),
				'steuernr' => self::getsteuernr(),
				'umsatzsteuerid' => self::getumsatzsteuerid()
			
		];
	
    // --- BLOCK: main ---
    
    // --- BLOCK: ~return ---
    return $stammdaten ?: [];
    
  }


  
  

  
  
}



